# Creative Commons Licenses for GitHub Projects

[![German](https://img.shields.io/badge/translation-DE-red)](de/)
[![Spanish](https://img.shields.io/badge/translation-ES-red)](es/)

In this repo you can find easy ways for applying Creative Commons Licenses on
Github repositories through Markdown language.

> **WARNING:**
> You shouldn't use Creative Commons licenses for software.
> Use Free Software Licenses for that kind of repositories, like GPL, BSD, etc.
> Creative Commons Licenses are ment for intellectual works only.


The easiest way for finding the right CC License for your project is the
[Creative Commons website](https://creativecommons.org/choose/).

Here we present two types of CC Licenses:

* [Creative Commons Attribution 4.0 International](#cc-attribution-40-international)

* [Creative Commons Attribution-ShareAlike 4.0 International](#cc-attribution-sharealike-40-international)

More information about licenses, and plain-text formatted licenses texts can be
found on https://choosealicense.com/.

If you want to download vectorized version of Creative Commons images and other
related stuff, please visit https://creativecommons.org/about/downloads/.


## CC Attribution 4.0 International

To add a CC BY License to your project, just add the following to your
`README.md`. You should also copy the corresponding [license text
file](LICENSE-CC-BY) and rename it to `LICENSE`.

```markdown
Shield: [![CC BY 4.0][cc-by-shield]][cc-by]

This work is licensed under a
[Creative Commons Attribution 4.0 International License][cc-by].

[![CC BY 4.0][cc-by-image]][cc-by]

[cc-by]: http://creativecommons.org/licenses/by/4.0/
[cc-by-image]: https://i.creativecommons.org/l/by/4.0/88x31.png
[cc-by-shield]: https://img.shields.io/badge/License-CC%20BY%204.0-lightgrey.svg
```

Shield: [![CC BY 4.0][cc-by-shield]][cc-by]

This work is licensed under a
[Creative Commons Attribution 4.0 International License][cc-by].

[![CC BY 4.0][cc-by-image]][cc-by]

[cc-by]: http://creativecommons.org/licenses/by/4.0/
[cc-by-image]: https://i.creativecommons.org/l/by/4.0/88x31.png
[cc-by-shield]: https://img.shields.io/badge/License-CC%20BY%204.0-lightgrey.svg


## CC Attribution-ShareAlike 4.0 International

To add a CC BY-SA License to your project, just add the following to your
`README.md`. You should also copy the corresponding [license text
file](LICENSE-CC-BY-SA) and rename it to `LICENSE`.

```markdown
Shield: [![CC BY-SA 4.0][cc-by-sa-shield]][cc-by-sa]

This work is licensed under a
[Creative Commons Attribution-ShareAlike 4.0 International License][cc-by-sa].

[![CC BY-SA 4.0][cc-by-sa-image]][cc-by-sa]

[cc-by-sa]: http://creativecommons.org/licenses/by-sa/4.0/
[cc-by-sa-image]: https://licensebuttons.net/l/by-sa/4.0/88x31.png
[cc-by-sa-shield]: https://img.shields.io/badge/License-CC%20BY--SA%204.0-lightgrey.svg
```

Shield: [![CC BY-SA 4.0][cc-by-sa-shield]][cc-by-sa]

This work is licensed under a [Creative Commons Attribution-ShareAlike 4.0
International License][cc-by-sa].

[![CC BY-SA 4.0][cc-by-sa-image]][cc-by-sa]

[cc-by-sa]: http://creativecommons.org/licenses/by-sa/4.0/
[cc-by-sa-image]: https://licensebuttons.net/l/by-sa/4.0/88x31.png
[cc-by-sa-shield]: https://img.shields.io/badge/License-CC%20BY--SA%204.0-lightgrey.svg
