# Creative Commons Licenses für GitHub-Projekte

[![Main](https://img.shields.io/badge/main%20language-EN-blue)](/../../)

In diesem Repo lernen Sie einfache Möglichkeiten kennen, um Creative
Commons-Lizenzen auf Github-Repositories per Markdown-Sprache anzuwenden.

> **WARNUNG:**
> Du solltest Creative Commons-Lizenzen nicht für Software benutzen.
> Benutze Freie Software-Lizenzen für eine solche Art von Repositories, z.B. GPL, BSD, etc.
> Creative Commons-Lizenzen sind nur für geistige Werke vorgesehen.


Der einfachste Weg um die richtige CC-Lizenz für Ihr Projekt zu finden ist die
[Creative Commons-Website](https://creativecommons.org/choose/).

Hier präsentieren wir zwei Typen von CC-Lizenzen:

* [Creative Commons Namensnennung 4.0 International](#cc-namensnennung-40-international)
  (Creative Commons Attribution 4.0 International)

* [Creative Commons Namensnennung - Weitergabe unter gleichen Bedingungen 4.0 International](#cc-namensnennung---weitergabe-unter-gleichen-bedingungen-40-international)
  (Creative Commons Attribution-ShareAlike 4.0 International)

Weitere Information über Lizenzen und in Klartext formatierte Lizenz-Texte
können hier gefunden werden: https://choosealicense.com/

Wenn Sie eine vektorisierte Version von Creative Commons-Bildern und anderem
zugehörigen Kram herunterladen wollen, besuchen Sie bitte
https://creativecommons.org/about/downloads/.


## CC Namensnennung 4.0 International

Um eine CC BY-Lizenz zu Ihrem Projekt hinzuzufügen, fügen Sie einfach das
Folgende zu Ihrer `README.md` hinzu. Sie sollten auch die entsprechende
[Lizenztextdatei](LICENSE-CC-BY) kopieren und sie zu `LICENSE` umbenennen.

```markdown
Shield: [![CC BY 4.0][cc-by-shield]][cc-by]

Diese Arbeit unterliegt den Bestimmungen einer
[Creative Commons Namensnennung 4.0 International-Lizenz][cc-by].

[![CC BY 4.0][cc-by-image]][cc-by]

[cc-by]: https://creativecommons.org/licenses/by/4.0/deed.de
[cc-by-image]: https://licensebuttons.net/l/by/4.0/88x31.png
[cc-by-shield]: https://img.shields.io/badge/License-CC%20BY%204.0-lightgrey.svg
```

Shield: [![CC BY 4.0][cc-by-shield]][cc-by]

Diese Arbeit unterliegt den Bestimmungen einer [Creative Commons Namensnennung
4.0 International-Lizenz][cc-by].

[![CC BY 4.0][cc-by-image]][cc-by]

[cc-by]: https://creativecommons.org/licenses/by/4.0/deed.de
[cc-by-image]: https://licensebuttons.net/l/by/4.0/88x31.png
[cc-by-shield]: https://img.shields.io/badge/License-CC%20BY%204.0-lightgrey.svg


## CC Namensnennung - Weitergabe unter gleichen Bedingungen 4.0 International

Um eine CC BY-SA-Lizenz zu Ihrem Projekt hinzuzufügen, fügen Sie einfach das
Folgende zu Ihrer `README.md` hinzu. Sie sollten auch die entsprechende
[Lizenztextdatei](LICENSE-CC-BY-SA) kopieren und sie zu `LICENSE` umbenennen.

```markdown
Shield: [![CC BY-SA 4.0][cc-by-sa-shield]][cc-by-sa]

Diese Arbeit unterliegt den Bestimmungen einer
[Creative Commons Namensnennung - Weitergabe unter gleichen Bedingungen 4.0 International-Lizenz][cc-by].

[![CC BY-SA 4.0][cc-by-sa-image]][cc-by-sa]

[cc-by-sa]: http://creativecommons.org/licenses/by-sa/4.0/deed.de
[cc-by-sa-image]: https://licensebuttons.net/l/by-sa/4.0/88x31.png
[cc-by-sa-shield]: https://img.shields.io/badge/License-CC%20BY--SA%204.0-lightgrey.svg
```

Shield: [![CC BY-SA 4.0][cc-by-sa-shield]][cc-by-sa]

Diese Arbeit unterliegt den Bestimmungen einer
[Creative Commons Namensnennung - Weitergabe unter gleichen Bedingungen 4.0 International-Lizenz][cc-by-sa].

[![CC BY-SA 4.0][cc-by-sa-image]][cc-by-sa]

[cc-by-sa]: http://creativecommons.org/licenses/by-sa/4.0/deed.de
[cc-by-sa-image]: https://licensebuttons.net/l/by-sa/4.0/88x31.png
[cc-by-sa-shield]: https://img.shields.io/badge/License-CC%20BY--SA%204.0-lightgrey.svg
